> For the complete documentation index, see [llms.txt](https://docs.fieldmotion.com/fieldmotion-api-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fieldmotion.com/fieldmotion-api-docs/task/_edit.md).

# \_edit

Edit a task

### Parameters

#### ID

Task ID

#### details

Textual description of the tasks details

#### resolution

Outcome of the task when completed.

#### assignedTo

User ID of the user assigned to the task.

#### Status

New - 0, Open - 1, Closed - 2

#### customer

Customer ID of the customer related to the task.

#### due\_date

Date the Task is due to be completed by the latest.

#### privacy

Private - 0, Public - 1

### Example

```
FM_api('Task_edit', ['id' => '10',
                   'details' => 'TEST DETAILS',
                   'resolution' => 'TEST RESOLUTION',
                   'assigned_to' => '82878',
                   'status' => '1',
                   'customer' => '2',
                   'due_date' => '2018-10-20',
                   'privacy' => '1'])
```

### On Success

```
{"ok":1}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fieldmotion.com/fieldmotion-api-docs/task/_edit.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
